Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## infomat.vectorspace
Class IMatrixCellFilter

    java.lang.Object
      infomat.vectorspace.IMatrixCellFilter

All Implemented Interfaces:
  HasProperties

    public class IMatrixCellFilter

extends java.lang.Object
implements HasProperties

Removes IMatrixCells, rows, and columns depending on their frequency.

Field Summary
`(package private) Properties` | `properties`

Constructor Summary
`IMatrixCellFilter()`
`IMatrixCellFilter(Properties properties)`

Method Summary
`void` | `filter(IMatrix matrix)`
`Properties` | `getDefaultProperties()`
`Properties` | `getProperties()`
`java.lang.Object` | `getPropertyValue(java.lang.String name)`
`private void` | `info(IMatrix matrix, IObjectSet rowSet, IObjectSet colSet)`
`private void` | `removeColsOrRows(boolean cols, int size, int min, int max, IObjectSet set, IMatrix matrix)` Helper method.
`void` | `setProperties(Properties properties)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### properties

    Properties properties

Constructor Detail

### IMatrixCellFilter

    public IMatrixCellFilter()

### IMatrixCellFilter

    public IMatrixCellFilter(Properties properties)

Method Detail

### getDefaultProperties

    public Properties getDefaultProperties()

  Specified by:
    `getDefaultProperties` in interface `HasProperties`

### getPropertyValue

    public java.lang.Object getPropertyValue(java.lang.String name)

  Specified by:
    `getPropertyValue` in interface `HasProperties`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws PropertyNotFoundException

  Specified by:
    `setProperty` in interface `HasProperties`
  Throws:
    `PropertyNotFoundException`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `HasProperties`

### setProperties

    public void setProperties(Properties properties)

  Specified by:
    `setProperties` in interface `HasProperties`

### info

    private void info(IMatrix matrix,
                      IObjectSet rowSet,
                      IObjectSet colSet)

### filter

    public void filter(IMatrix matrix)

### removeColsOrRows

    private void removeColsOrRows(boolean cols,
                                  int size,
                                  int min,
                                  int max,
                                  IObjectSet set,
                                  IMatrix matrix)

  Helper method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD